Loading...
Searching...
No Matches
pydoc_macros.h File Reference

Go to the source code of this file.

## Macros

#define | __EXPAND(x)
#define | __COUNT(_1, _2, _3, _4, _5, _6, _7, COUNT, ...)
#define | __VA_SIZE(...)
#define | __CAT1(a, b)
#define | __CAT2(a, b)
#define | __DOC1(n1)
#define | __DOC2(n1, n2)
#define | __DOC3(n1, n2, n3)
#define | __DOC4(n1, n2, n3, n4)
#define | __DOC5(n1, n2, n3, n4, n5)
#define | __DOC6(n1, n2, n3, n4, n5, n6)
#define | __DOC7(n1, n2, n3, n4, n5, n6, n7)
#define | DOC(...)

## Macro Definition Documentation

## __CAT1

#define __CAT1 | ( |  | a,
|  |  | b )

Value:
a##b

## __CAT2

#define __CAT2 | ( |  | a,
|  |  | b )

Value:
__CAT1(a, b)
__CAT1
#define __CAT1(a, b)
Definition cmake-pkgsrc-build/gr-blocks/python/blocks/bindings/pydoc_macros.h:7

## __COUNT

#define __COUNT | ( |  | _1,
|  |  | _2,
|  |  | _3,
|  |  | _4,
|  |  | _5,
|  |  | _6,
|  |  | _7,
|  |  | COUNT,
|  |  | ... )

Value:
COUNT

## __DOC1

#define __DOC1 | ( |  | n1 | ) |

Value:
__doc_##n1

## __DOC2

#define __DOC2 | ( |  | n1,
|  |  | n2 )

Value:
__doc_##n1##_##n2

## __DOC3

#define __DOC3 | ( |  | n1,
|  |  | n2,
|  |  | n3 )

Value:
__doc_##n1##_##n2##_##n3

## __DOC4

#define __DOC4 | ( |  | n1,
|  |  | n2,
|  |  | n3,
|  |  | n4 )

Value:
__doc_##n1##_##n2##_##n3##_##n4

## __DOC5

#define __DOC5 | ( |  | n1,
|  |  | n2,
|  |  | n3,
|  |  | n4,
|  |  | n5 )

Value:
__doc_##n1##_##n2##_##n3##_##n4##_##n5

## __DOC6

#define __DOC6 | ( |  | n1,
|  |  | n2,
|  |  | n3,
|  |  | n4,
|  |  | n5,
|  |  | n6 )

Value:
__doc_##n1##_##n2##_##n3##_##n4##_##n5##_##n6

## __DOC7

#define __DOC7 | ( |  | n1,
|  |  | n2,
|  |  | n3,
|  |  | n4,
|  |  | n5,
|  |  | n6,
|  |  | n7 )

Value:
__doc_##n1##_##n2##_##n3##_##n4##_##n5##_##n6##_##n7

## __EXPAND

#define __EXPAND | ( |  | x | ) |

Value:
x

## __VA_SIZE

#define __VA_SIZE | ( |  | ... | ) |

Value:
__EXPAND(__COUNT(__VA_ARGS__, 7, 6, 5, 4, 3, 2, 1))
__COUNT
#define __COUNT(_1, _2, _3, _4, _5, _6, _7, COUNT,...)
Definition cmake-pkgsrc-build/gr-blocks/python/blocks/bindings/pydoc_macros.h:5
__EXPAND
#define __EXPAND(x)
Definition cmake-pkgsrc-build/gr-blocks/python/blocks/bindings/pydoc_macros.h:4

## DOC

#define DOC | ( |  | ... | ) |

Value:
__EXPAND(__EXPAND(__CAT2(__DOC, __VA_SIZE(__VA_ARGS__)))(__VA_ARGS__))
__VA_SIZE
#define __VA_SIZE(...)
Definition cmake-pkgsrc-build/gr-blocks/python/blocks/bindings/pydoc_macros.h:6
__CAT2
#define __CAT2(a, b)
Definition cmake-pkgsrc-build/gr-blocks/python/blocks/bindings/pydoc_macros.h:8